Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util
Interface NamedSPILoader.NamedSPI

All Known Implementing Classes:
  Codec, DocValuesFormat, FilterCodec, Lucene3xCodec, Lucene40Codec, Lucene40DocValuesFormat, Lucene40PostingsFormat, Lucene41Codec, Lucene41PostingsFormat, Lucene42Codec, Lucene42DocValuesFormat, PerFieldDocValuesFormat, PerFieldPostingsFormat, PostingsFormat

Enclosing class:
  NamedSPILoader<S extends NamedSPILoader.NamedSPI>

    public static interface NamedSPILoader.NamedSPI

Interface to support `NamedSPILoader.lookup(String)` by name.

Names must be all ascii alphanumeric, and less than 128 characters in length.

Method Summary
`String` | `getName()`

Method Detail

### getName

    String getName()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.